Sinon.JS 4



sinon

Sinon.JS

تحتوي هذه الصفحة على وثائق API الخاصة بـ Sinon.JS بالإضافة إلى مقدمات مختصرة لمفاهيم Sinon implements.

أدلة الهجرة

التوافق

ES5.1

سينون v4.5.0 مكتوب كـ ES5.1 ولا يتطلب أي transpiler أو polyfills لتشغيل في أوقات التشغيل المسرودة أدناه.

أوقات التشغيل المدعومة

تم التحقق من v4.5.0 في أوقات التشغيل هذه:

  • Firefox 45
  • Chrome 48
  • Internet Explorer 11
  • الحافة 14
  • سفاري 9
  • عقدة 4

لا ينبغي أن يكون هناك أي مشاكل مع استخدام سينون v4.5.0 في الإصدارات الأحدث من نفس أوقات التشغيل.

إذا كنت بحاجة إلى دعم أوقات التشغيل القديمة جدًا التي تحتوي على دعم غير مكتمل لـ ES5.1 فقد تفلت من استخدام تحميل es5-shim في بيئة الاختبار. إذا فشل ذلك ، نوصي بالحصول على إصدارات قديمة من Sinon .

عالق؟

يرجى طرح أسئلة حول Stack Overflow إذا كنت عالقًا.

تساهم

نحن نقدر الاقتراحات لتحسين الوثائق بحيث يسهل العمل مع Sinon.JS. ابقى على تواصل!